package com.ruoyi.common.im.mq;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * redis 队列消费监听注解
 */
@Retention(RetentionPolicy.RUNTIME)//修饰注解，用来表示注解的生命周期
@Target(ElementType.TYPE)//元注解，用于指定自定义注解可以被应用的程序元素类型 ElementType.TYPE 注解可以应用于类、接口（包括注解类型）或枚举声明
public @interface RedisMQListener {

    /**
     * 队列，也是redis的key
     */
    String queue();

    /**
     * 一次性拉取的数据数量
     */
    int batchSize() default 1;

    /**
     * 拉取间隔周期，单位:ms
     */
    int period() default 100;
}
